Clean up function return types. Functions not returning values,
[deliverable/binutils-gdb.git] / ld / .Sanitize
1 # .Sanitize for devo/ld
2
3 # Each directory to survive its way into a release will need a file
4 # like this one called "./.Sanitize". All keyword lines must exist,
5 # and must exist in the order specified by this file. Each directory
6 # in the tree will be processed, top down, in the following order.
7
8 # Hash started lines like this one are comments and will be deleted
9 # before anything else is done. Blank lines will also be squashed
10 # out.
11
12 # The lines between the "Do-first:" line and the "Things-to-keep:"
13 # line are executed as a /bin/sh shell script before anything else is
14 # done in this directory.
15
16 Do-first:
17
18 # Remember the current lists of files in the subdirectories from which
19 # we might remove files.
20 if test -d emulparams; then
21 ld_emulparams_files=`cd emulparams; echo *`
22 else
23 ld_emulparams_files=
24 fi
25 if test -d emultempl; then
26 ld_emultempl_files=`cd emultempl; echo *`
27 else
28 ld_emultempl_files=
29 fi
30 if test -d scripttempl; then
31 ld_scripttempl_files=`cd scripttempl; echo *`
32 else
33 ld_scripttempl_files=
34 fi
35
36 # All files listed between the "Things-to-keep:" line and the
37 # "Do-last:" line will be kept. All other files will be removed.
38 # Directories listed in this section will have their own Sanitize
39 # called. Directories not listed will be removed in their entirety
40 # with rm -rf.
41
42 Things-to-keep:
43
44 ChangeLog
45 Makefile.am
46 Makefile.in
47 NEWS
48 README
49 TODO
50 acconfig.h
51 acinclude.m4
52 aclocal.m4
53 config.in
54 configure
55 configure.bat
56 configure.host
57 configure.in
58 configure.tgt
59 deffile.h
60 deffilep.y
61 dep-in.sed
62 emulparams
63 emultempl
64 gen-doc.texi
65 genscripts.sh
66 h8-doc.texi
67 ld.1
68 ld.h
69 ld.texinfo
70 ldcref.c
71 ldctor.c
72 ldctor.h
73 ldemul.c
74 ldemul.h
75 ldexp.c
76 ldexp.h
77 ldfile.c
78 ldfile.h
79 ldgram.y
80 ldint.texinfo
81 ldlang.c
82 ldlang.h
83 ldlex.h
84 ldlex.l
85 ldmain.c
86 ldmain.h
87 ldmisc.c
88 ldmisc.h
89 ldver.c
90 ldver.h
91 ldwrite.c
92 ldwrite.h
93 lexsup.c
94 mac-ld.r
95 mpw-config.in
96 mpw-elfmips.c
97 mpw-eppcmac.c
98 mpw-esh.c
99 mpw-idtmips.c
100 mpw-make.sed
101 mri.c
102 mri.h
103 pe-dll.c
104 po
105 scripttempl
106 stamp-h.in
107 sysdep.h
108 testsuite
109
110 Things-to-lose:
111
112
113
114 # The lines between the "Do-last:" line and the end of the file
115 # are executed as a /bin/sh shell script after everything else is
116 # done.
117
118 Do-last:
119
120 v850_files="ChangeLog configure.tgt Makefile.am Makefile.in"
121 if ( echo $* | grep keep\-v850e > /dev/null ) ; then
122 for i in $v850_files ; do
123 if test ! -d $i && (grep sanitize-v850e $i > /dev/null) ; then
124 if [ -n "${verbose}" ] ; then
125 echo Keeping v850e stuff in $i
126 fi
127 fi
128 done
129 else
130 for i in $v850_files ; do
131 if test ! -d $i && (grep sanitize-v850e $i > /dev/null) ; then
132 if [ -n "${verbose}" ] ; then
133 echo Removing traces of \"v850e\" from $i...
134 fi
135 cp $i new
136 sed '/start\-sanitize\-v850e/,/end-\sanitize\-v850e/d' < $i > new
137 if [ -n "${safe}" -a ! -f .Recover/$i ] ; then
138 if [ -n "${verbose}" ] ; then
139 echo Caching $i in .Recover...
140 fi
141 mv $i .Recover
142 fi
143 mv new $i
144 fi
145 done
146 fi
147
148 tx49_files="ChangeLog configure.tgt"
149 if ( echo $* | grep keep\-tx49 > /dev/null ) ; then
150 for i in $tx49_files ; do
151 if test ! -d $i && (grep sanitize-tx49 $i > /dev/null) ; then
152 if [ -n "${verbose}" ] ; then
153 echo Keeping tx49 stuff in $i
154 fi
155 fi
156 done
157 else
158 for i in $tx49_files ; do
159 if test ! -d $i && (grep sanitize-tx49 $i > /dev/null) ; then
160 if [ -n "${verbose}" ] ; then
161 echo Removing traces of \"tx49\" from $i...
162 fi
163 cp $i new
164 sed '/start\-sanitize\-tx49/,/end-\sanitize\-tx49/d' < $i > new
165 if [ -n "${safe}" -a ! -f .Recover/$i ] ; then
166 if [ -n "${verbose}" ] ; then
167 echo Caching $i in .Recover...
168 fi
169 mv $i .Recover
170 fi
171 mv new $i
172 fi
173 done
174 fi
175
176 r5900_files="ChangeLog configure.tgt Makefile.in Makefile.am"
177 if ( echo $* | grep keep\-r5900 > /dev/null ) ; then
178 for i in $r5900_files ; do
179 if test ! -d $i && (grep sanitize-r5900 $i > /dev/null) ; then
180 if [ -n "${verbose}" ] ; then
181 echo Keeping r5900 stuff in $i
182 fi
183 fi
184 done
185 else
186 for i in $r5900_files ; do
187 if test ! -d $i && (grep sanitize-r5900 $i > /dev/null) ; then
188 if [ -n "${verbose}" ] ; then
189 echo Removing traces of \"r5900\" from $i...
190 fi
191 cp $i new
192 sed '/start\-sanitize\-r5900/,/end-\sanitize\-r5900/d' < $i > new
193 if [ -n "${safe}" -a ! -f .Recover/$i ] ; then
194 if [ -n "${verbose}" ] ; then
195 echo Caching $i in .Recover...
196 fi
197 mv $i .Recover
198 fi
199 mv new $i
200 fi
201 done
202 fi
203
204 vr4xxx_files="ChangeLog configure.tgt"
205 if ( echo $* | grep keep\-vr4xxx > /dev/null ) ; then
206 for i in $vr4xxx_files ; do
207 if test ! -d $i && (grep sanitize-vr4xxx $i > /dev/null) ; then
208 if [ -n "${verbose}" ] ; then
209 echo Keeping vr4xxx stuff in $i
210 fi
211 fi
212 done
213 else
214 for i in $vr4xxx_files ; do
215 if test ! -d $i && (grep sanitize-vr4xxx $i > /dev/null) ; then
216 if [ -n "${verbose}" ] ; then
217 echo Removing traces of \"vr4xxx\" from $i...
218 fi
219 cp $i new
220 sed '/start\-sanitize\-vr4xxx/,/end-\sanitize\-vr4xxx/d' < $i > new
221 if [ -n "${safe}" -a ! -f .Recover/$i ] ; then
222 if [ -n "${verbose}" ] ; then
223 echo Caching $i in .Recover...
224 fi
225 mv $i .Recover
226 fi
227 mv new $i
228 fi
229 done
230 fi
231
232 vr4320_files="ChangeLog configure.tgt"
233 if ( echo $* | grep keep\-vr4320 > /dev/null ) ; then
234 for i in $vr4320_files ; do
235 if test ! -d $i && (grep sanitize-vr4320 $i > /dev/null) ; then
236 if [ -n "${verbose}" ] ; then
237 echo Keeping vr4320 stuff in $i
238 fi
239 fi
240 done
241 else
242 for i in $vr4320_files ; do
243 if test ! -d $i && (grep sanitize-vr4320 $i > /dev/null) ; then
244 if [ -n "${verbose}" ] ; then
245 echo Removing traces of \"vr4320\" from $i...
246 fi
247 cp $i new
248 sed '/start\-sanitize\-vr4320/,/end-\sanitize\-vr4320/d' < $i > new
249 if [ -n "${safe}" -a ! -f .Recover/$i ] ; then
250 if [ -n "${verbose}" ] ; then
251 echo Caching $i in .Recover...
252 fi
253 mv $i .Recover
254 fi
255 mv new $i
256 fi
257 done
258 fi
259
260 tic80_files="ChangeLog configure.tgt Makefile.am Makefile.in"
261 if ( echo $* | grep keep\-tic80 > /dev/null ) ; then
262 for i in $tic80_files ; do
263 if test ! -d $i && (grep sanitize-tic80 $i > /dev/null) ; then
264 if [ -n "${verbose}" ] ; then
265 echo Keeping tic80 stuff in $i
266 fi
267 fi
268 done
269 else
270 for i in $tic80_files ; do
271 if test ! -d $i && (grep sanitize-tic80 $i > /dev/null) ; then
272 if [ -n "${verbose}" ] ; then
273 echo Removing traces of \"tic80\" from $i...
274 fi
275 cp $i new
276 sed '/start\-sanitize\-tic80/,/end-\sanitize\-tic80/d' < $i > new
277 if [ -n "${safe}" -a ! -f .Recover/$i ] ; then
278 if [ -n "${verbose}" ] ; then
279 echo Caching $i in .Recover...
280 fi
281 mv $i .Recover
282 fi
283 mv new $i
284 fi
285 done
286 fi
287
288 sky_files="ChangeLog configure.tgt"
289 if ( echo $* | grep keep\-sky > /dev/null ) ; then
290 for i in $sky_files ; do
291 if test ! -d $i && (grep sanitize-sky $i > /dev/null) ; then
292 if [ -n "${verbose}" ] ; then
293 echo Keeping sky stuff in $i
294 fi
295 fi
296 done
297 else
298 for i in $sky_files ; do
299 if test ! -d $i && (grep sanitize-sky $i > /dev/null) ; then
300 if [ -n "${verbose}" ] ; then
301 echo Removing traces of \"sky\" from $i...
302 fi
303 cp $i new
304 sed '/start\-sanitize\-sky/,/end-\sanitize\-sky/d' < $i > new
305 if [ -n "${safe}" -a ! -f .Recover/$i ] ; then
306 if [ -n "${verbose}" ] ; then
307 echo Caching $i in .Recover...
308 fi
309 mv $i .Recover
310 fi
311 mv new $i
312 fi
313 done
314 fi
315
316 beos_files="ChangeLog Makefile.am Makefile.in configure.tgt"
317 if ( echo $* | grep keep\-beos > /dev/null ) ; then
318 for i in $beos_files ; do
319 if test ! -d $i && (grep sanitize-beos $i > /dev/null) ; then
320 if [ -n "${verbose}" ] ; then
321 echo Keeping beos stuff in $i
322 fi
323 fi
324 done
325 else
326 for i in $beos_files ; do
327 if test ! -d $i && (grep sanitize-beos $i > /dev/null) ; then
328 if [ -n "${verbose}" ] ; then
329 echo Removing traces of \"beos\" from $i...
330 fi
331 cp $i new
332 sed '/start\-sanitize\-beos/,/end-\sanitize\-beos/d' < $i > new
333 if [ -n "${safe}" -a ! -f .Recover/$i ] ; then
334 if [ -n "${verbose}" ] ; then
335 echo Caching $i in .Recover...
336 fi
337 mv $i .Recover
338 fi
339 mv new $i
340 fi
341 done
342 fi
343
344 for i in * ; do
345 if test ! -d $i && (grep sanitize $i > /dev/null) ; then
346 echo '***' Some mentions of Sanitize are still left in ld/$i! 1>&2
347 fi
348 done
349
350 for lost in .. $ld_emulparams_files; do
351 if test $lost != .. && test $lost != CVS; then
352 if test -f emulparams/$lost; then
353 :
354 else
355 lost2=`echo $lost | sed -e 's/.sh$//'`
356 for i in Makefile.am Makefile.in configure.host configure.tgt configure.in configure; do
357 if fgrep $lost2 $i >/dev/null 2>&1; then
358 echo '***' File ld/emulparams/$lost was sanitized out but is still mentioned in ld/$i 1>&2
359 fi
360 done
361 fi
362 fi
363 done
364
365 for lost in .. $ld_emultempl_files; do
366 if test $lost != .. && test $lost != CVS; then
367 if test -f emultempl/$lost; then
368 :
369 else
370 lost2=`echo $lost | sed -e 's/.em$//'`
371 for i in Makefile.am Makefile.in configure.host configure.tgt configure.in configure; do
372 if fgrep $lost2 $i >/dev/null 2>&1; then
373 # There is a valid mention of beos in configure.tgt
374 if test $lost2 != "beos" || test $i != configure.tgt; then
375 echo '***' File ld/emultempl/$lost was sanitized out but is still mentioned in ld/$i 1>&2
376 fi
377 fi
378 done
379 if test -d emulparams; then
380 for i in emulparams/*; do
381 if fgrep $lost2 $i >/dev/null 2>&1; then
382 echo '***' File ld/emultempl/$lost was sanitized out but is still mentioned in ld/$i 1>&2
383 fi
384 done
385 fi
386 fi
387 fi
388 done
389
390 for lost in .. $ld_scripttempl_files; do
391 if test $lost != .. && test $lost != CVS; then
392 if test -f scripttempl/$lost; then
393 :
394 else
395 lost2=`echo $lost | sed -e 's/.sc$//'`
396 for i in Makefile.am Makefile.in configure.host configure.tgt configure.in configure; do
397 if fgrep $lost2 $i >/dev/null 2>&1; then
398 echo '***' File ld/scripttempl/$lost was sanitized out but is still mentioned in ld/$i 1>&2
399 fi
400 done
401 if test -d emulparams; then
402 for i in emulparams/*; do
403 if fgrep $lost2 $i >/dev/null 2>&1; then
404 echo '***' File ld/scripttempl/$lost was sanitized out but is still mentioned in ld/$i 1>&2
405 fi
406 done
407 fi
408 fi
409 fi
410 done
411
412 # This must come after all other sanitizations. Re-sanitize the .pot
413 # file.
414 if [ -n "${verbose}" ]; then
415 echo Re-computing files for gettext ...
416 fi
417
418 if [ -n "${safe}" -a ! -f po/.Recover/POTFILES.in ]; then
419 if [ -n "${verbose}" ]; then
420 echo Caching po/POTFILES.in in .Recover...
421 fi
422 mv po/POTFILES.in po/.Recover
423 fi
424 find . -name '*.[ch]' | sed -e 's,^\./,,' > po/POTFILES.in
425
426 if [ -n "${safe}" -a ! -f po/.Recover/ld.pot ]; then
427 if [ -n "${verbose}" ]; then
428 echo Caching po/ld.pot in .Recover...
429 fi
430 mv po/ld.pot po/.Recover
431 fi
432 # If this fails, Sanitization must fail.
433 xgettext -c -C -k_ -kN_ -f po/POTFILES.in -o po/ld.pot || exit 1
434 # eof
This page took 0.037658 seconds and 4 git commands to generate.